# Function ToasterProvider

- ToasterProvider(
  props: ToasterProviderProps,
  deprecatedLegacyContext?: any,
  ): ReactNode

- #### Parameters

  - props: ToasterProviderProps
  - `Optional` deprecatedLegacyContext: any

    #### Deprecated

    #### See

    React Docs

  #### Returns ReactNode

  - Defined in src/components/ui/toaster/Toaster.tsx:12

#####
Index

### Properties

contextTypes?
defaultProps?
displayName?
propTypes?

##
Properties

### `Optional` contextTypes

contextTypes?: ValidationMap<any>

#### Deprecated

Lets you specify which legacy context is consumed by this component.

#### See

Legacy React Docs

- Defined in node_modules/.pnpm/@types+react@18.3.28/node_modules/@types/react/index.d.ts:1156

### `Optional` defaultProps

defaultProps?: Partial<ToasterProviderProps>

Used to define default values for the props accepted by the component.

#### See

React Docs

#### Example

    type Props = { name?: string }

    const MyComponent: FC<Props> = (props) => {
      return <div>{props.name}</div>
    }

    MyComponent.defaultProps = {
      name: 'John Doe'
    }

#### Deprecated

Use values for destructuring assignments instead.

- Defined in node_modules/.pnpm/@types+react@18.3.28/node_modules/@types/react/index.d.ts:1179

### `Optional` displayName

displayName?: string

Used in debugging messages. You might want to set it explicitly if you want to display a different name for debugging purposes.

#### See

Legacy React Docs

#### Example

    const MyComponent: FC = () => {
      return <div>Hello!</div>
    }

    MyComponent.displayName = 'MyAwesomeComponent'

- Defined in node_modules/.pnpm/@types+react@18.3.28/node_modules/@types/react/index.d.ts:1198

### `Optional` propTypes

propTypes?: WeakValidationMap<ToasterProviderProps>

Used to declare the types of the props accepted by the component. These types will be checked during rendering and in development only.

We recommend using TypeScript instead of checking prop types at runtime.

#### See

React Docs

- Defined in node_modules/.pnpm/@types+react@18.3.28/node_modules/@types/react/index.d.ts:1147